
LIBRARY ieee;
USE ieee.std_logic_1164.all;

--Entity---------------

ENTITY mux4in1 IS
	PORT (
			D3,D2,D1,D0 : IN bit;
			S : IN bit_vector(1 downto 0);
			Dout : OUT bit
		 );
END mux4in1;

--Architecture---------

ARCHITECTURE arch OF mux4in1 IS
BEGIN
	WITH S SELECT

	Dout <= D0 WHEN "00",
			D1 WHEN "01",
			D2 WHEN "10",
			D3 WHEN OTHERS;
END arch;

