
LIBRARY ieee;	
USE ieee.std_logic_1164.all;

--Entity---------------

ENTITY mux4x8in1 IS
	PORT (
			DBus3,DBus2,DBus1,DBus0 : IN bit_vector(7 downto 0);
			S : IN bit_vector(1 downto 0);
			Data_out : OUT bit_vector(7 downto 0)
		 );
END mux4x8in1;

--Architecture---------

ARCHITECTURE arch OF mux4x8in1 IS
BEGIN
	WITH S SELECT
	Data_out 	<= 	DBus0 WHEN "00",
				DBus1 WHEN "01",
				DBus2 WHEN "10",
				DBus3 WHEN OTHERS;
END arch;

