

LIBRARY ieee;
USE ieee.std_logic_1164.all;

--Entity---------------

ENTITY counter IS

	PORT (	data_in: IN STD_LOGIC_VECTOR (7 DOWNTO 0);
			count: OUT INTEGER RANGE 0 TO 8);

END counter;	

--Architecture---------

ARCHITECTURE arch OF counter IS
BEGIN

	PROCESS (data_in)
	VARIABLE bitH: INTEGER RANGE 0 TO 8;
	
	BEGIN
		bitH := 0;
		FOR i IN 0 TO 7 LOOP
			
			IF (data_in(i)='1') THEN
				bitH := bitH + 1;
			END IF;
		
		END LOOP;
		count <= bitH;
	
	END PROCESS;

END arch;

