

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

--Entity---------------

ENTITY reg8 IS
PORT ( 	data_in: IN bit_vector(7 downto 0);
		Clock: IN BIT;
		data_out: OUT bit_vector(7 downto 0));

END reg8;

--Architecture---------

ARCHITECTURE arch_reg8 OF reg8 IS


BEGIN
PROCESS (Clock)

BEGIN
IF (Clock'EVENT AND Clock='1') THEN
	data_out<=data_in; 
END IF;

END PROCESS;

END arch_reg8;

