

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

--Entity---------------

ENTITY shregister IS
PORT ( 	data_in, Clock: IN BIT;
		data_out: OUT BIT);
END shregister;

--Architecture---------

ARCHITECTURE arch_shregister OF shregister IS
SIGNAL R1, R2, R3: BIT;

BEGIN
PROCESS (Clock)

BEGIN
IF (Clock'EVENT AND Clock='1') THEN
	R1 <= data_in;
	R2 <= R1;
	R3 <= R2;
	data_out <= R3;
END IF;

END PROCESS;

END arch_shregister;

