
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

--Entity---------------


Entity DFFR is
  port (D, Clock, Rst : in bit;
		Q	: out bit);
End DFFR;

--Architecture---------

Architecture arch_DFF of DFFR is
 begin
  process (Clock,Rst)
  begin
	if (Rst='1') then Q<='0';
  elsif Clock'event and Clock='1' then
	Q <= D;
  end if;
  end process;
End arch_DFF;

