
LIBRARY ieee;
USE ieee.std_logic_1164.all;

--Entity---------------

ENTITY mux8in1 IS
	PORT (
			D7,D6,D5,D4,D3,D2,D1,D0 : IN bit;
			S : IN bit_vector(2 downto 0);
			Dout : OUT bit
		 );
END mux8in1;

--Architecture---------

ARCHITECTURE arch OF mux8in1 IS
BEGIN
	WITH S SELECT

	Dout <= D0 WHEN "000",
			D1 WHEN "001",
			D2 WHEN "010",
			D3 WHEN "011",
			D4 WHEN "100",
			D5 WHEN "101",
			D6 WHEN "110",
			D7 WHEN OTHERS;
END arch;

