
LIBRARY ieee;	
USE ieee.std_logic_1164.all;

--Entity---------------

ENTITY router IS
	PORT (
			Din1,Din0 : IN bit_vector(7 downto 0);
			S : IN bit_vector(1 downto 0);
			Dout1, Dout0 : OUT bit_vector(7 downto 0)
		 );
END router;

--Architecture---------

ARCHITECTURE arch OF router IS
BEGIN
	
	WITH S SELECT
	Dout0	<= 	Din0 WHEN "00",
				Din1 WHEN "01",
				"00000000" WHEN OTHERS;

	WITH S SELECT
	Dout1	<= 	Din0 WHEN "10",
				Din1 WHEN "11",
				"00000000" WHEN OTHERS;
END arch;

